MagiskHide can now run on older Android devices with a custom kernel patch

magiskhide

MagiskHide can now run on older Android devices with a custom kernel patch. This is thanks to XDA Recognised Developer topjohnwu who has released the patches required to make the popular root-hiding tool work on old devices. This development comes hot off the heels of the latest release of Magisk, version 16.6.

Currently, devices running on a Linux kernel version lower than 3.8 are not able to use MagiskHide. However, kernel developers can backport the needed patches to these devices. Then, so long as the device in question is running a custom ROM based on Android Lollipop or higher, they can use the root-hiding tool. Any developers who want to look into backporting this feature should check out the Magisk thread below for the information located under “Notes & Troubleshoots.”


Patches to fix MagiskHide on older Android devices

You may also like...